# $Revision: 1.16 $, $Date: 2003/02/14 14:57:46 $
Summary:	DirectConnect support library for dcgui-qt
Summary(pl):	Biblioteka obsugujca DirectConnect dla dcgui-qt
Name:		dclib
Version:	0.2.5
Release:	1
License:	GPL
Group:		X11/Libraries
Source0:	http://download.berlios.de/dcgui/%{name}-%{version}.tar.bz2
URL:		http://dc.ketelhot.de/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bzip2-devel
BuildRequires:	libtool
BuildRequires:	libxml2-devel > 2.0.0
BuildRequires:	pth-devel
Requires:	libxml2 > 2.0.0
Requires:	pth
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DirectConnect support library for dcgui-qt.

%description -l pl
Biblioteka obsugujca DirectConnect dla dcgui-qt.

%package devel
Summary:	Header files for dclib
Summary(pl):	Pliki nagwkowe dla dclib
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}

%description devel
Header files for dclib.

%description devel -l pl
Pliki nagwkowe dla dclib.

%package static
Summary:	Static dclib library
Summary(pl):	Statyczna biblioteka dclib
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static dclib library.

%description static -l pl
Statyczna biblioteka dclib.

%prep
%setup -q

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README ChangeLog
%attr(755,root,root) %{_libdir}/libdc.so.*.*
%{_datadir}/dcgui

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/*.so
%{_libdir}/*.la
%{_includedir}/dclib

%files static
%defattr(644,root,root,755)
%{_libdir}/*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: dclib.spec,v $
Revision 1.16  2003/02/14 14:57:46  blues
- 0.2.5

Revision 1.15  2003/01/18 22:46:43  juandon
- removed two lines with define

Revision 1.14  2002/12/30 11:56:00  qboosh
- added missing ldconfig, fixed broken file lists, cleanups
- release 3

Revision 1.13  2002/12/25 19:23:09  djurban
- Rel 2
- Some updates :), xml patch wont be necessary.

Revision 1.12  2002/12/25 18:31:34  djurban
- Spec rewritten, I will take a look at the patch in a second
- Rel 1 (it does work, no need to do 0.x rel)
